using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace PL02cs
{
    public partial class MainForm : Form
    {
        public MainForm()
        {
            InitializeComponent();
        }

        private void MainForm_Load(object sender, EventArgs e)
        {
            txtX0.Text = PL02CalcEngine.DefaultP0.X.ToString();
            txtY0.Text = PL02CalcEngine.DefaultP0.Y.ToString();
            txtX1.Text = PL02CalcEngine.DefaultP1.X.ToString();
            txtY1.Text = PL02CalcEngine.DefaultP1.Y.ToString();
        }

        private void btnCalc_Click(object sender, EventArgs e)
        {
            PL02CalcEngine calc = new PL02CalcEngine(
                new PointF(float.Parse(txtX0.Text), float.Parse(txtY0.Text)),
                new PointF(float.Parse(txtX1.Text), float.Parse(txtY1.Text)),
                uint.Parse(txtNSegments.Text)
                );

            calc.Calculate();

            lblAlfa.Text = calc.Alfa.ToString();
            lblCenter.Text = calc.Center.ToString();
            lblDistance.Text = calc.Distance.ToString();

            lboxPoints.Items.Clear();
            foreach (PointF p in calc.Points)
                lboxPoints.Items.Add(p);
        }
    }
}